<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "xcrm.crm_notice_read".
 *
 * @property string $id
 * @property string $member_id
 * @property string $notice_id
 */
class NoticeRead extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'crm_notice_read';
    }

    /**
     * @return \yii\db\Connection the database connection used by this AR class.
     */
    public static function getDb()
    {
        return Yii::$app->get('dbXcrm');
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['member_id', 'notice_id'], 'required'],
            [['member_id', 'notice_id'], 'integer'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'member_id' => 'Member ID',
            'notice_id' => 'Notice ID',
        ];
    }
}
